Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class DeferredEndingPartialResponseWriter

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              javax.faces.context.ResponseWriterWrapper
                  javax.faces.context.PartialResponseWriter
                      org.richfaces.context.PartialResponseWriterWrapper
                          org.richfaces.context.DeferredEndingPartialResponseWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable, javax.faces.FacesWrapper<javax.faces.context.ResponseWriter>

    public class DeferredEndingPartialResponseWriter

extends PartialResponseWriterWrapper

This `PartialResponseWriter` wrapper doesn't end the document when `endDocument()` is called to allow write own partial-response extensions at the end of the document.

The method `finallyEndDocument()` needs to be called to actually end the document.

Author:
  Lukas Fryc

Field Summary

Fields inherited from class javax.faces.context.PartialResponseWriter
`RENDER_ALL_MARKER, VIEW_STATE_MARKER`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`DeferredEndingPartialResponseWriter(javax.faces.context.PartialResponseWriter wrapped)`

Method Summary
`void` | `endDocument()` The invocation will be blocked, you need to call `finallyEndDocument()` to actually end the document.
`void` | `redirect(String url)`
`void` | `startError(String errorName)`

Methods inherited from class org.richfaces.context.PartialResponseWriterWrapper
`append, append, append, cloneWithWriter, close, delete, endCDATA, endElement, endError, endEval, endExtension, endInsert, endUpdate, flush, getCharacterEncoding, getContentType, getWrapped, startCDATA, startDocument, startElement, startEval, startExtension, startInsertAfter, startInsertBefore, startUpdate, updateAttributes, write, write, write, write, write, writeAttribute, writeComment, writeText, writeText, writeText, writeURIAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeferredEndingPartialResponseWriter

    public DeferredEndingPartialResponseWriter(javax.faces.context.PartialResponseWriter wrapped)

Method Detail

### endDocument

    public void endDocument()
                     throws IOException

  The invocation will be blocked, you need to call `finallyEndDocument()` to actually end the document.

  Overrides:
    `endDocument` in class `PartialResponseWriterWrapper`
  Throws:
    `IOException`

### redirect

    public void redirect(String url)
                  throws IOException

  Overrides:
    `redirect` in class `PartialResponseWriterWrapper`
  Throws:
    `IOException`

### startError

    public void startError(String errorName)
                    throws IOException

  Overrides:
    `startError` in class `PartialResponseWriterWrapper`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.